Subject: Re: bug#66866: aarch64 system cross compilation + pinebook pro image broken?

From: dan <[email-masked]>
Date: Thu, 11 Apr 2024 12:59:34 +0800 (GMT+08:00)

Hi David,

Thanks for the reply.

Apr 11, 2024 04:50:03 David Elsing <[email-masked]>:

>> Can we put everything inside build-inputs?  From my understanding,
>> copy-build-system shouldn't care about cross-compilation at all.
> I understand it that way too. In guix/build-system.scm, it is mentioned
> that build/host/target are used in the sense of the GNU toolchain [1].
> There, "build" is the system used for building and "host" is the target
> system for which the package is built. I guess this was confused when
> copy-build-system was added [2].

Then I think I can submit a patch to guix-patches, hoping to bring more 
attention to this bug.